### Constructor

# Gtk.AppChooserDialog.new_for_content_type

#### Declaration [src]

    GtkWidget*
    gtk_app_chooser_dialog_new_for_content_type (
      GtkWindow* parent,
      GtkDialogFlags flags,
      const char* content_type
    )

#### Description [src]

Creates a new `GtkAppChooserDialog` for the provided content type.

The dialog will show applications that can open the content type.

#### Parameters

`parent` | `GtkWindow`
| a `GtkWindow`, or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee
`flags` | `GtkDialogFlags`
| flags for this dialog
`content_type` | `const char*`
| a content type string
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkWidget`
a newly created `GtkAppChooserDialog`
Ownership is not transferred to the caller